Page MenuHomePhabricator

Create a process for doing regular citoid service upgrade deployments
Closed, ResolvedPublic

Description

James asked me if there was a system to doing deployments- there is not- and if not, to develop one.

For this next deploy update I'm planning on:

updated citoid to head
updating localsettings in a few spots.

How should this be done in the future? On a timed basis and/or major for major releases of dependencies?

Translation-server? Various node libraries?

FYI there's a major release for Zotero coming soon- 4.1.

Event Timeline

Mvolz created this task.Mar 5 2015, 3:24 PM
Mvolz raised the priority of this task from to Needs Triage.
Mvolz updated the task description. (Show Details)
Mvolz added projects: Citoid, Services.
Mvolz moved this task to Production on the Citoid board.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 5 2015, 3:24 PM

I am not sure what "system" refers to. A technical way to do deployments? If yes such a thing exists, it is called trebuchet and it is documented in:

https://wikitech.wikimedia.org/wiki/Trebuchet#Deploying

If we are talking about the process, well we need to get one then.

To answer your questions

How should this be done in the future? On a timed basis and/or major for major releases of dependencies?

I 'd say that depends on the goals of the service.

How often for translators? I think it might make sense for these to be a submodule because they change rapidly.

They are already a separate repo

https://gerrit.wikimedia.org/r/#/admin/projects/mediawiki/services/zotero/translators

For my (limited) experience translators can be updated independently of the zotero translation-server, so you we can have a different policy. It might make sense to have the same one to ensure consistency but it is up to the goals of the service. My take is go for the same policy for the moment and re-evaluate at some point in the future.

What about Zotero-standalone? Translation-server? Zulrunner? Various node libraries?

  1. scratch out zotero-standalone, that idea was ditched.
  2. We will not be updating xulrunner often (if at all) but rather depend on the distro (Debian in the future) to provide packages for it.
  3. node libraries, I have no opinion, I leave it up to you.
  4. translation-server. That resides in

    https://gerrit.wikimedia.org/r/#/admin/projects/mediawiki/services/zotero/translation-server

The process to update the repo is described in the README.md file and it should be easy to follow.

FYI there's a major release for Zotero coming soon- 4.1.

Mvolz updated the task description. (Show Details)Mar 7 2015, 7:56 AM
Mvolz set Security to None.

Yes, I believe process was what James was referring to :).

Okay, so separate process for updating translators; looking at https://github.com/zotero/translators/graphs/commit-activity it looks like they have on average a commit a day or so, so perhaps weekly?

Node libraries: @Krinkle, @Catrope, @GWicke any opinion?

I think with updates to citoid we'll have to have a better picture of how frequent commits are going to be; it might be an as needed thing with a minimum time frame / # commits (there are way to many commits in this current update, very behind.)

akosiaris renamed this task from Create system for doing regular citoid service upgrade deployments to Create a process for doing regular citoid service upgrade deployments.Mar 7 2015, 3:14 PM
GWicke moved this task from Backlog to Next on the Services board.Mar 17 2015, 7:55 PM
Jdforrester-WMF triaged this task as High priority.Apr 27 2015, 8:15 PM

Here's the current process. The deployment of Citoid happens when any of the following conditions has been met:

  1. An important bug has been fixed
  2. An important feature has been added and tested properly
  3. There are 3 or more changes in master that haven't been deployed yet

Note: when a task has been completed, I move it to the "Waiting on Deploy" column to keep track of that.

(Mental note to self: create a Citoid/Deployments wiki page listing the changes being deployed chronologically)

Restricted Application added a project: VisualEditor. · View Herald TranscriptOct 12 2016, 3:31 PM
Mvolz added a comment.Jul 12 2017, 4:33 PM

What's the status of this? Resolved? Documented anywhere?

Krinkle removed a subscriber: Krinkle.Jul 12 2017, 5:21 PM
czar awarded a token.Jul 12 2017, 6:07 PM
czar added a subscriber: czar.
Elitre added a subscriber: Elitre.Jul 12 2017, 6:57 PM

Change 610778 had a related patch set uploaded (by Mvolz; owner: Mvolz):
[mediawiki/tools/release@master] Add new window for citoid

https://gerrit.wikimedia.org/r/610778

Change 610778 merged by jenkins-bot:
[mediawiki/tools/release@master] Add new window for citoid

https://gerrit.wikimedia.org/r/610778

Mvolz closed this task as Resolved.Aug 3 2020, 12:43 PM
Mvolz removed a project: Patch-For-Review.

I think this is as resolved as it's going to get - it's been pretty much "as needed" and now we have a window.